Package docking.widgets

# Class InlineComponentTitledPanel

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
javax.swing.JPanel
docking.widgets.InlineComponentTitledPanel

All Implemented Interfaces:
  `ImageObserver`, `MenuContainer`, `Serializable`, `Accessible`

public class InlineComponentTitledPanel extends JPanel
A panel with a component-containing border. Use a checkbox as the component, for example, to control the enablement of child widgets.

Users should modify the contents of this panel via the JPanel from `getContentPane()` -- `add()` and `remove()` methods have been overridden to modify the content pane; other calls to this panel should `getContentPane()` first.

Example:

      public class MyPanel extends InlineComponentTitledPanel {
        private JCheckBox enableCheckbox = null;
        public MyPanel() {
          super(new JCheckBox("Enable"), BorderFactory.createEtchedBorder());
          enableCheckbox = (JCheckBox) getTitleComponent();
          enableCheckbox.addActionListener(...);

          JPanel content = getContentPane();
          content.setLayout(new BorderLayout());
          add(new JButton("Click me"));
          ...
        }
        ...
      }

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class javax.swing.JPanel

  `JPanel.AccessibleJPanel`

  ## Nested classes/interfaces inherited from class javax.swing.JComponent

  `JComponent.AccessibleJComponent`

  ## Nested classes/interfaces inherited from class java.awt.Container

  `Container.AccessibleAWTContainer`

  ## Nested classes/interfaces inherited from class java.awt.Component

  `Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

- ## Field Summary

  ### Fields inherited from class javax.swing.JComponent

  `listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

  ### Fields inherited from class java.awt.Component

  `accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

  ### Fields inherited from interface java.awt.image.ImageObserver

  `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InlineComponentTitledPanel(JComponent titleComponent)`
  Create a panel with `titleComponent` in the top, left corner
  `InlineComponentTitledPanel(JComponent titleComponent, int titleJustification, int titlePosition)`
  Create a panel with `titleComponent` in the prescribed location
  `InlineComponentTitledPanel(JComponent titleComponent, int titleJustification, int titlePosition, Border otherBorder)`
  Create a panel with `titleComponent` in the prescribed location with a secondary border
  `InlineComponentTitledPanel(JComponent titleComponent, Border otherBorder)`
  Create a panel with `titleComponent` in the top, left corner

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Component`
  `add(Component comp)`
  `Component`
  `add(Component comp, int index)`
  `Component`
  `add(String name, Component comp)`
  `void`
  `doLayout()`
  `JPanel`
  `getContentPane()`
  This class requires that all content be placed within a designated panel, this method returns that panel.
  `Border`
  `getOtherBorder()`
  `JComponent`
  `getTitleComponent()`
  `void`
  `remove(int index)`
  `void`
  `remove(Component comp)`
  `void`
  `removeAll()`
  `void`
  `setBorder(Border otherBorder)`
  Sets the secondary border.
  `void`
  `setEnabled(boolean enable)`
  `void`
  `setOtherBorder(Border otherBorder)`
  `void`
  `setTitleComponent(JComponent component)`

  ### Methods inherited from class javax.swing.JPanel

  `getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

  ### Methods inherited from class javax.swing.JComponent

  `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

  ### Methods inherited from class java.awt.Container

  `add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

  ### Methods inherited from class java.awt.Component

  `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InlineComponentTitledPanel

    public InlineComponentTitledPanel(JComponent titleComponent)
    Create a panel with `titleComponent` in the top, left corner
    Parameters:
      `titleComponent` - widget to draw in the border

  - ### InlineComponentTitledPanel

    public InlineComponentTitledPanel(JComponent titleComponent, Border otherBorder)
    Create a panel with `titleComponent` in the top, left corner
    Parameters:
      `titleComponent` - widget to draw in the border
      `otherBorder` - secondary border to place around this panel

  - ### InlineComponentTitledPanel

    public InlineComponentTitledPanel(JComponent titleComponent, int titleJustification, int titlePosition)
    Create a panel with `titleComponent` in the prescribed location
    Parameters:
      `titleComponent` - widget to draw in the border
      `titleJustification` - top-bottom alignment
      `titlePosition` - left-right alignment
    See Also:
      - `TitledBorder`

  - ### InlineComponentTitledPanel

    public InlineComponentTitledPanel(JComponent titleComponent, int titleJustification, int titlePosition, Border otherBorder)
    Create a panel with `titleComponent` in the prescribed location with a secondary border
    Parameters:
      `titleComponent` - widget to draw in the border
      `titleJustification` - top-bottom alignment
      `titlePosition` - left-right alignment
      `otherBorder` - secondary border to place around this panel
    See Also:
      - `TitledBorder`

- ## Method Details

  - ### doLayout

    public void doLayout()
    Overrides:
      `doLayout` in class `Container`

  - ### getTitleComponent

    public JComponent getTitleComponent()

  - ### setTitleComponent

    public void setTitleComponent(JComponent component)

  - ### setBorder

    public void setBorder(Border otherBorder)
    Sets the secondary border. NOTE: Rendering conflicts may occur with co-located sub-borders; a TitledBorder that renders in the same position (top, bottom, etc.) will cause the component to shift, and will be rendered-over if the new title resides in the same position and justification (left-to-right alignment) as the component.
    Overrides:
      `setBorder` in class `JComponent`
    Parameters:
      `otherBorder` -
    See Also:
      - `setOtherBorder(javax.swing.border.Border)`

  - ### setOtherBorder

    public void setOtherBorder(Border otherBorder)

  - ### getOtherBorder

    public Border getOtherBorder()

  - ### getContentPane

    public JPanel getContentPane()
    This class requires that all content be placed within a designated panel, this method returns that panel.
    Returns:
      panel The content panel

  - ### add

    public Component add(Component comp)
    Overrides:
      `add` in class `Container`

  - ### add

    public Component add(String name, Component comp)
    Overrides:
      `add` in class `Container`

  - ### add

    public Component add(Component comp, int index)
    Overrides:
      `add` in class `Container`

  - ### remove

    public void remove(int index)
    Overrides:
      `remove` in class `Container`

  - ### remove

    public void remove(Component comp)
    Overrides:
      `remove` in class `Container`

  - ### removeAll

    public void removeAll()
    Overrides:
      `removeAll` in class `Container`

  - ### setEnabled

    public void setEnabled(boolean enable)
    Overrides:
      `setEnabled` in class `JComponent`